Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement
Class AbstractTable

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.AbstractTable

All Implemented Interfaces:
  Cloneable, ReportTable, Serializable, TestElement

Direct Known Subclasses:
  Table

public abstract class AbstractTable
extends AbstractTestElement
implements ReportTable

AbstractTable is the base Element for different kinds of report tables.

See Also:
  Serialized Form

Field Summary
`static String[]` | `items`
`static String` | `REPORT_TABLE_50_PERCENT`
`static String` | `REPORT_TABLE_90_PERCENT`
`static String` | `REPORT_TABLE_ERROR_RATE`
`static String` | `REPORT_TABLE_MAX`
`static String` | `REPORT_TABLE_MEAN`
`static String` | `REPORT_TABLE_MEDIAN`
`static String` | `REPORT_TABLE_MIN`
`static String` | `REPORT_TABLE_RESPONSE_RATE`
`static String` | `REPORT_TABLE_TOTAL`
`static String` | `REPORT_TABLE_TRANSFER_RATE`
`static String` | `REPORT_TABLE_URL`
`static String[]` | `xitems`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`AbstractTable()`

Method Summary
`void` | `addTestElement(TestElement el)`
`boolean` | `get50Percent()`
`boolean` | `get90Percent()`
`boolean` | `getErrorRate()`
`boolean` | `getMax()`
`boolean` | `getMean()`
`boolean` | `getMedian()`
`boolean` | `getMin()`
`boolean` | `getResponseRate()`
`abstract String[][]` | `getTableData(List data)` method isn't implemented and is left abstract.
`boolean` | `getTransferRate()`
`void` | `set50Percent(String set)`
`void` | `set90Percent(String set)`
`void` | `setErrorRate(String set)`
`void` | `setMax(String set)`
`void` | `setMean(String set)`
`void` | `setMedian(String set)`
`void` | `setMin(String set)`
`void` | `setResponseRate(String set)`
`void` | `setTransferRate(String set)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPORT_TABLE_MEAN

    public static final String REPORT_TABLE_MEAN

See Also:
  Constant Field Values

### REPORT_TABLE_MEDIAN

    public static final String REPORT_TABLE_MEDIAN

See Also:
  Constant Field Values

### REPORT_TABLE_MAX

    public static final String REPORT_TABLE_MAX

See Also:
  Constant Field Values

### REPORT_TABLE_MIN

    public static final String REPORT_TABLE_MIN

See Also:
  Constant Field Values

### REPORT_TABLE_RESPONSE_RATE

    public static final String REPORT_TABLE_RESPONSE_RATE

See Also:
  Constant Field Values

### REPORT_TABLE_TRANSFER_RATE

    public static final String REPORT_TABLE_TRANSFER_RATE

See Also:
  Constant Field Values

### REPORT_TABLE_50_PERCENT

    public static final String REPORT_TABLE_50_PERCENT

See Also:
  Constant Field Values

### REPORT_TABLE_90_PERCENT

    public static final String REPORT_TABLE_90_PERCENT

See Also:
  Constant Field Values

### REPORT_TABLE_ERROR_RATE

    public static final String REPORT_TABLE_ERROR_RATE

See Also:
  Constant Field Values

### items

    public static final String[] items

### REPORT_TABLE_TOTAL

    public static final String REPORT_TABLE_TOTAL

See Also:
  Constant Field Values

### REPORT_TABLE_URL

    public static final String REPORT_TABLE_URL

See Also:
  Constant Field Values

### xitems

    public static final String[] xitems

Constructor Detail

### AbstractTable

    public AbstractTable()

Method Detail

### getMean

    public boolean getMean()

### setMean

    public void setMean(String set)

### getMedian

    public boolean getMedian()

### setMedian

    public void setMedian(String set)

### getMax

    public boolean getMax()

### setMax

    public void setMax(String set)

### getMin

    public boolean getMin()

### setMin

    public void setMin(String set)

### getResponseRate

    public boolean getResponseRate()

### setResponseRate

    public void setResponseRate(String set)

### getTransferRate

    public boolean getTransferRate()

### setTransferRate

    public void setTransferRate(String set)

### get50Percent

    public boolean get50Percent()

### set50Percent

    public void set50Percent(String set)

### get90Percent

    public boolean get90Percent()

### set90Percent

    public void set90Percent(String set)

### getErrorRate

    public boolean getErrorRate()

### setErrorRate

    public void setErrorRate(String set)

### addTestElement

    public void addTestElement(TestElement el)

  Specified by:
    `addTestElement` in interface `TestElement`
  Overrides:
    `addTestElement` in class `AbstractTestElement`

### getTableData

    public abstract String[][] getTableData(List data)

  method isn't implemented and is left abstract. Subclasses need to filter the data in the list and return statistics. The statistics should be like the aggregate listener.

  Specified by:
    `getTableData` in interface `ReportTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.